summaryrefslogtreecommitdiff
path: root/.local/sbin/chtz
diff options
context:
space:
mode:
authorThomas Voss <mail@thomasvoss.com> 2023-12-06 01:30:57 +0100
committerThomas Voss <mail@thomasvoss.com> 2023-12-06 01:30:57 +0100
commit02e4686ccd7c95c6df855be61496c75c92b11396 (patch)
tree10ef22afb440b6f91e695d25677f130a5a79f75f /.local/sbin/chtz
parentd9f33332f52a60130325a5d16785ee9577647d42 (diff)
scripts: Move many scripts from sh to andy
Diffstat (limited to '.local/sbin/chtz')
-rwxr-xr-x.local/sbin/chtz12
1 files changed, 5 insertions, 7 deletions
diff --git a/.local/sbin/chtz b/.local/sbin/chtz
index 2a02e79..2033ab2 100755
--- a/.local/sbin/chtz
+++ b/.local/sbin/chtz
@@ -1,10 +1,8 @@
-#!/bin/sh
+#!/usr/local/bin/andy
-set -e
+set -e NOTIFY_LONG timezone
+set -e NOTIFY_SHORT chtz
-export NOTIFY_LONG=timezone
-export NOTIFY_SHORT="${0##*/}"
-
-choice="$(timedatectl list-timezones | grep './.' | osel)" \
-&& sudo timedatectl set-timezone "$choice" \
+set choice `timedatectl list-timezones | grep ./. | osel
+sudo timedatectl set-timezone $choice
&& notify 'Timezone Changed' "The system timezone was changed to ‘$choice’"